// Copyright (C) 2007 Juan Manuel Borges Caño

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

#include <ilu.h>
#include <stdio.h>
#include <stdlib.h>

int
main(int argc, char *argv[])
{
	ilOpen(IL_KEYBOARD_BIT);
	ILboolean loop = IL_TRUE;
	ILevent event;
	while(loop)
	{
		ilRead(IL_KEYBOARD_BIT);
		if(ilEvent(IL_KEYBOARD_BIT))
		{
			ilGetEvent(IL_KEYBOARD_BIT, &event);
			printf("%6i %6i %6i\r", event.type, event.code, event.value);
			fflush(stdout);
			if(iluIsEvent(event, IL_EVENT_TYPE_KEY, IL_EVENT_CODE_KEY_ESC, 1))
				loop = IL_FALSE;
		}
	}
	ilClose(IL_KEYBOARD_BIT);
	return EXIT_SUCCESS;
}
